<%@ page import="com.atlassian.jira.ManagerFactory,
                 com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.config.properties.ApplicationProperties,
                 com.atlassian.jira.util.BuildUtils,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager,
                 com.atlassian.license.applications.jira.JiraLicenseTypeStore"%>
<%@ page import="com.atlassian.plugin.webresource.WebResourceManager"%>
<%@ page import="com.atlassian.jira.ComponentManager"%>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="webwork" prefix="webwork" %>

<%
    ApplicationProperties ap = ManagerFactory.getApplicationProperties();
    final LookAndFeelBean lookAndFeelBeanFrontPage = LookAndFeelBean.getInstance(ap);
    String topBgColour = lookAndFeelBeanFrontPage.getTopBackgroundColour();
    String menuBgColour = lookAndFeelBeanFrontPage.getMenuBackgroundColour();
    String linkColour = lookAndFeelBeanFrontPage.getTextLinkColour();
    String linkAColour = lookAndFeelBeanFrontPage.getTextActiveLinkColour();

    //don't use default backed string here, as we will use the large logo
    String jiraLogo = lookAndFeelBeanFrontPage.getLogoUrl();
    if (jiraLogo != null && !jiraLogo.startsWith("http://") && !jiraLogo.startsWith("https://"))
    {
        jiraLogo = request.getContextPath() + jiraLogo;
    }
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>JIRA - <decorator:title default="New Generation Issue Tracking" /></title>
    <META http-equiv="Content-Type" content="<%= ap.getContentType() %>">
	<%@ include file="/includes/decorators/stylesheettag.jsp" %>
    <script language="JavaScript" type="text/javascript" src="<%=request.getContextPath()%>/includes/js/combined-javascript.js"></script>
<%
    WebResourceManager webResourceManager = ComponentManager.getInstance().getWebResourceManager();
    webResourceManager.includeResources(out);
%>

</head>

<body bgcolor="#f0f0f0" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" link="<%= linkColour %>" vlink="<%= linkColour %>" alink="<%= linkAColour %>">
<table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
<tr valign="middle"><td>
<table cellpadding=0 cellspacing="0" class="centred borderedBoxBlack" width=400>
    <tr cellpadding=0 cellspacing=0 border=0 width=400 bgcolor=<%= topBgColour %>>
        <td><table>
            <td valign="bottom" width=200><a href="<%= request.getContextPath() %>/secure/"><% if (jiraLogo == null) { %><img src="<%= request.getContextPath() %>/images/jira_logo_small.gif" width=111 height=30 border=0 alt="<%= ap.getString(APKeys.JIRA_TITLE) %>" vspace=0 hspace=0><% } else { %><img src="<%= jiraLogo %>" width="<%= lookAndFeelBeanFrontPage.getLogoWidth() %>" height="<%= lookAndFeelBeanFrontPage.getLogoHeight() %>" border=0 alt="<%= ap.getString(APKeys.JIRA_TITLE) %>"><% } %></a></td>
            <td valign="bottom" width=200 align="right">
                <webwork:component name="'default'" template="help.jsp">
                    <webwork:param name="'align'" value="'middle'"/>
                </webwork:component>
                &nbsp;
            </td>
        </table></td>
    </tr>
    <tr cellpadding=0 cellspacing=0 border=0 width=400 height=5 bgcolor=<%= menuBgColour %>>
      	<td><img src="<%= request.getContextPath() %>/images/border/spacer.gif" width=5 height=5 border=0></td>
    </tr>

    <tr><td>
       	<decorator:body />
    </td></tr>
</table>

<div class="fullyCentered">
    <span class="small">
	    <%
		License curLicense = null;

        if (JiraLicenseUtils.isLicenseSetup())
            curLicense = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);

		if (curLicense == null)
		{ %>
            <span class="smallgrey">UNLICENSED INSTALLATION</span> - You can request a 30-day
            <a href="<webwork:component name="'external.link.jira.license.evaluate.from.unlicensed'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">evaluation license online</a>
            or <a href="<webwork:component name="'external.link.jira.license.purchase.from.unlicensed'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">purchase</a>.
	 <% } else if (JiraLicenseTypeStore.JIRA_STANDARD_EVALUATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_EVALUATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_EVALUATION.equals(curLicense.getLicenseType())) { %>
            <span class="smallgrey">EVALUATION LICENSE</span> - Are you enjoying JIRA? Please consider
            <a href="<webwork:component name="'external.link.jira.license.purchase.from.evaluation'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">purchasing it</a> today.
	 <% } else if (JiraLicenseTypeStore.JIRA_STANDARD_NON_PROFIT.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_NON_PROFIT.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_NON_PROFIT.equals(curLicense.getLicenseType())) { %>
            Site running on a free
            <b><a href="<webwork:component name="'external.link.jira.non.profit.license.info'" template="externallink.jsp"/>">
            Atlassian JIRA Open Source Project / Non-profit License</a></b>
            granted to <%= curLicense.getOrganisation()%>.
            <a href="<webwork:component name="'external.link.jira.license.evaluate.from.unlicensed'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">Evaluate JIRA today</a>
            <% } else if (ManagerFactory.getApplicationProperties().getOption(APKeys.JIRA_CONFIRMED_INSTALL_WITH_OLD_LICENSE)) { %>
            <span class="smallgrey">EVALUATION LICENSE</span> - Are you enjoying this new version of JIRA? Please consider
            <a href="<webwork:component name="'external.link.jira.license.extend.from.old'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">extending your license</a> today.

    <%
        } else if (JiraLicenseTypeStore.JIRA_STANDARD_COMMUNITY.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_COMMUNITY.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_COMMUNITY.equals(curLicense.getLicenseType())) {
    %>
           Site running on a free <b><a href="<webwork:component name="'external.link.jira.community.license.info'" template="externallink.jsp" />">Atlassian JIRA Community License</a></b> granted to <%= curLicense.getOrganisation() %>. <a href="<webwork:component name="'external.link.jira.license.evaluate.from.unlicensed'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">Evaluate JIRA today</a>.
    <%
        } else if (JiraLicenseTypeStore.JIRA_STANDARD_DEMONSTRATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_DEMONSTRATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_DEMONSTRATION.equals(curLicense.getLicenseType())) {
    %>
           <b>DEMONSTRATION LICENSE</b> - This JIRA site is for demonstration purposes only.
           <a href="<webwork:component name="'external.link.jira.license.evaluate.from.unlicensed'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">Evaluate JIRA today</a>.
    <%
        } else if (JiraLicenseTypeStore.JIRA_STANDARD_DEVELOPER.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_DEVELOPER.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_DEVELOPER.equals(curLicense.getLicenseType())) {
    %>
           <b>DEVELOPER LICENSE</b> - This JIRA site is for non-production use only.
    <%
        } else if (JiraLicenseTypeStore.JIRA_STANDARD_OPEN_SOURCE.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_OPEN_SOURCE.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_OPEN_SOURCE.equals(curLicense.getLicenseType())) {
    %>
           Site running on a free <b><a href="<webwork:component name="'external.link.jira.open.source.license.info'" template="externallink.jsp" />">Atlassian JIRA Open Source Project License</a></b> granted to <%= curLicense.getOrganisation() %>.
           <a href="<webwork:component name="'external.link.jira.license.evaluate.from.unlicensed'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">Evaluate JIRA today</a>.
    <%
        }
    %>

    <p>
	<span class="smallfooter">
		Powered by <a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition()%></webwork:param></webwork:component>">Atlassian JIRA&trade;</a>
        the <a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition()%></webwork:param></webwork:component>">Professional Issue Tracker</a>.
        <span class="smallgreyfooter">(<%= BuildUtils.getBuildInformation() %>)</span> - <a href="<webwork:component name="'external.link.jira.raise.issue'" template="externallink.jsp"/>">Bug/feature request</a><br>
		<a href="<%= request.getContextPath() %>/secure/Administrators.jspa">Contact Administrators</a>
	</span>
	</p>
</div>

</td></tr>

</table>
</body>
</html>
